using APT.BaseData.Domain.Entities.FM;
using APT.BaseData.Domain.Enums.PF;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.AE
{
    /// <summary>
    /// 致害物（表单属性）
    /// </summary>
    [Description("致害物")]
    public class T_AE_ACCIDENT_EVENT_SURVEY_DAMAGE_OBJECT : MesEntityBase
    {
        /// <summary>
        /// 事故事件调查结果填报表
        /// </summary>
        [Description("事故事件调查结果填报表")]
        [DataFieldForeignKey("Nav_SurveyResult", "Nav_ListSurveyDamageObject")]
        public Guid RESULT_ID { get; set; }

        /// <summary>
        /// 导航: 事故事件调查结果填报表
        /// </summary>
        [Description("导航: 事故事件调查结果填报表")]
        public T_AE_ACCIDENT_EVENT_SURVEY_RESULT Nav_SurveyResult { get; set; }

        /// <summary>
        /// 致害物ID
        /// </summary>
        [Description("致害物")]
        [DataFieldForeignKey("Nav_DamageObject")]
        [FormFieldEdit]
        public Guid? DAMAGE_OBJECT_ID { get; set; }

        /// <summary>
        /// 导航属性：致害物
        /// </summary>
        [Description("导航属性：致害物")]
        public virtual T_AE_ACCIDENT_EVENT_DAMAGE_OBJECT Nav_DamageObject { get; set; }
    }
}
